ApiContent studio v2
Add a new section to the outline
AuthorizationBearer <token>
In: header
Path Parameters
briefId*string
Brief ID
domainId*unknown
Domain ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/domains/{domainId}/content-briefs/string/document/sections" \ -H "Content-Type: application/json" \ -d '{ "level": "h2", "title": "Finding your fit" }'{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"level": "h2",
"title": "Finding your fit",
"order": 1,
"parentId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"topicsToAddress": [
"gait analysis",
"sizing"
],
"expertInsights": "A podiatrist recommends getting fitted in the afternoon when feet are largest.",
"instructions": "Keep this section under 250 words and include a bulleted checklist.",
"internalLinks": [
{
"url": "https://nike.com/running-guide",
"anchorText": "our complete running guide"
}
]
}Empty
Empty